Pedido Pronto
curl --request POST \
--url 'https://sandbox.api.gohusky.net/orderReady?token=' \
--header 'Content-Type: application/json' \
--data '
{
"tracking": "051aa70b607f97beeba3f5f9ee2a6b984a9f1489c3a74d6083afc59e1685cb2a",
"ready": true
}
'import requests
url = "https://sandbox.api.gohusky.net/orderReady?token="
payload = {
"tracking": "051aa70b607f97beeba3f5f9ee2a6b984a9f1489c3a74d6083afc59e1685cb2a",
"ready": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
tracking: '051aa70b607f97beeba3f5f9ee2a6b984a9f1489c3a74d6083afc59e1685cb2a',
ready: true
})
};
fetch('https://sandbox.api.gohusky.net/orderReady?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Entrega atualizada com sucesso!"
}{
"status": 400,
"message": "Erro ao atualizar entrega"
}{
"success": 0,
"message": "Token inválido ou não autorizado"
}{
"success": 0,
"message": "Token não informado corretamente"
}{
"success": 0,
"message": "Método não permitido, consulte a documentação."
}Entregas
Pedido Pronto
Informa que o pedido já está pronto para ser coletado pelo entregador.
POST
/
orderReady
Pedido Pronto
Authorizations
Token de autenticação via query parameter. Pode representar o ID público da operação (Operador Logístico) ou o ID público do embarcador (Restaurante, loja, farmácia).
Query Parameters
Especifica o ambiente para executar a requisição.
Define o tipo de autenticação:
true = Embarcador (Restaurante, Loja, Farmácia)
false = Operação (Operador Logístico)
Body
application/json
Was this page helpful?

